Deskpro API Documentation


  • Show/hide List Operations Expand Operations

    Agents

        • GET /api/v2/agent_groups CRUD

          • Get collection of resources

            Applicable api modes

            session token key oauth

            Api tags for this endpoint

            usergroups.agent_groups.list
            • Filters
            • Response
            • Status Codes
            Name Information
            page
            Pattern \d
            Description Which page to display
            Datatype integer
            count
            Pattern \d
            Description Resource per page count
            Datatype integer
            limit
            Pattern \d
            Description Max number of resources to return
            Datatype integer
            ids
            Pattern [\d,]+
            Description Comma separated list of IDs
            Datatype string
            Parameter Type Versions Description
            data[] array of objects (Usergroup) *
            data[][title] string * Title of the usergroup.
            data[][id] integer * The unique ID, DB-generated.
            data[][note] string * A note or description about the usergroup.
            data[][is_agent_group] boolean * Is this an agent group?
            data[][sys_name] string * When non-null, the group is a special system group (hidden from most interfaces).
            data[][is_enabled] boolean * Is the group enabled?
            data[][permissions][] array of objects (Permission) * Usergroup permissions.
            data[][permissions][][id] integer * The unique ID.
            data[][permissions][][name] string * The name of the permission.
            data[][permissions][][value] integer * Any numeric number (ex filesize, flag).
            data[][permissions][][is_active] boolean * True means this permission record is active for normal use with the permission resolver. When a $person permission is used but the $person in question is also part of a usergroup, then this record might be superfluous: If the ug grants the perm, and this record grants the perm, then we have two records that both grant the perm. This isn't harmful usually but if you have many many agents defined and they all have these duplicative perms, then you end up with many thousands of extra rows, which are all fetched and processed with the permission resolver. So we turn these extra perms "off" so the resolver doesn't fetch them. That means if a hd with many agent uses groups instead of overrides, permission resolving is much much faster.
            data[][department_permissions][] array of objects (DepartmentPermission) *
            data[][department_permissions][][department] integer id (Department) *
            data[][department_permissions][][app] string * Application name. It's going to be either chat or tickets.
            data[][department_permissions][][name] string * The name of the permission.
            data[][department_permissions][][value] integer * Any numeric number (ex filesize, flag).
            data[][department_permissions][][is_active] boolean *
            data[][people][] array of objects (Person) * Usergroup members.
            Status Code Description
            200
            • Returned if your request was successful
            400
            • An error will occur if you provide wrong filters set
          • GET /api/v2/agent_groups/counts CRUD

            • Count list

              Applicable api modes

              session token key oauth

              Api tags for this endpoint

              usergroups.agent_groups.count
              • Response
              • Status Codes
              Parameter Type Versions Description
              data.count integer * Count itself.
              data.id integer >=20170401 Entity identity.
              data.value string >=20170401 Entity value.
              data.type string * Count type.
              data.title string * Count title.
              data.grouped_by string * Grouping option.
              data.nested[] array of objects (Count) * Nested counts.
              data.nested[][count] integer * Count itself.
              data.nested[][id] integer >=20170401 Entity identity.
              data.nested[][value] string >=20170401 Entity value.
              data.nested[][type] string * Count type.
              data.nested[][title] string * Count title.
              data.nested[][grouped_by] string * Grouping option.
              data.nested[][nested][] array of objects (Count) * Nested counts.
              Status Code Description
              200
              • Returned if successful request
              400
              • Returned if you filter set was malformed
            • GET /api/v2/agent_groups/{id} CRUD

              • Get a resource

                Applicable api modes

                session token key oauth

                Api tags for this endpoint

                usergroups.agent_groups.get
                • Requirements
                • Response
                • Status Codes
                Name Requirement Type Description
                id \d+ integer The id of the resource
                Parameter Type Versions Description
                data.title string * Title of the usergroup.
                data.id integer * The unique ID, DB-generated.
                data.note string * A note or description about the usergroup.
                data.is_agent_group boolean * Is this an agent group?
                data.sys_name string * When non-null, the group is a special system group (hidden from most interfaces).
                data.is_enabled boolean * Is the group enabled?
                data.permissions[] array of objects (Permission) * Usergroup permissions.
                data.permissions[][id] integer * The unique ID.
                data.permissions[][name] string * The name of the permission.
                data.permissions[][value] integer * Any numeric number (ex filesize, flag).
                data.permissions[][is_active] boolean * True means this permission record is active for normal use with the permission resolver. When a $person permission is used but the $person in question is also part of a usergroup, then this record might be superfluous: If the ug grants the perm, and this record grants the perm, then we have two records that both grant the perm. This isn't harmful usually but if you have many many agents defined and they all have these duplicative perms, then you end up with many thousands of extra rows, which are all fetched and processed with the permission resolver. So we turn these extra perms "off" so the resolver doesn't fetch them. That means if a hd with many agent uses groups instead of overrides, permission resolving is much much faster.
                data.department_permissions[] array of objects (DepartmentPermission) *
                data.department_permissions[][department] integer id (Department) *
                data.department_permissions[][app] string * Application name. It's going to be either chat or tickets.
                data.department_permissions[][name] string * The name of the permission.
                data.department_permissions[][value] integer * Any numeric number (ex filesize, flag).
                data.department_permissions[][is_active] boolean *
                data.people[] array of objects (Person) * Usergroup members.
                data.people[][emails] *
                data.people[][labels] *
                data.people[][teams] *
                data.people[][primary_team] *
                data.people[][agentData] *
                data.people[][publicUsergroups] *
                data.people[][publicAgentgroups] *
                Status Code Description
                200
                • We will return such status in case we found your entity
                404
                • Not Found error will returned in case we can't find entity with specified ID
              • GET /api/v2/agent_teams CRUD

                • get list of teams

                  Applicable api modes

                  session token key oauth

                  Api tags for this endpoint

                  people.agent_teams.list
                  • Filters
                  • Response
                  • Status Codes
                  Name Information
                  page
                  Pattern \d
                  Description Which page to display
                  Datatype integer
                  count
                  Pattern \d
                  Description Resource per page count
                  Datatype integer
                  limit
                  Pattern \d
                  Description Max number of resources to return
                  Datatype integer
                  ids
                  Pattern [\d,]+
                  Description Comma separated list of IDs
                  Datatype string
                  my
                  Pattern (1|0)
                  Description limit to my teams only
                  Datatype boolean
                  Parameter Type Versions Description
                  data[] array of objects (AgentTeam) *
                  data[][id] integer * The unique team ID.
                  data[][name] string * Team name.
                  data[][avatar] object (Avatar) * Team`s avatar.
                  data[][avatar][default_url_pattern] string * Default pattern used if there is no custom one.
                  data[][avatar][url_pattern] string * Url pattern for avatar gathering.
                  data[][avatar][base_gravatar_url] string * Url to gravatar.
                  data[][agents][] array of integer ids (Person) * Agents belong to department.
                  Status Code Description
                  200
                  • Returned if your request was successful
                  400
                  • An error will occur if you provide wrong filters set
                • POST /api/v2/agent_teams CRUD

                  • Create a new resource

                    Applicable api modes

                    session token key oauth

                    Api tags for this endpoint

                    people.agent_teams.post
                    • Parameters
                    • Response
                    • Status Codes
                    Parameter Type Required? Format Description
                    name string true
                    avatar string false
                    members[] array of choices false
                    Parameter Type Versions Description
                    data.id integer * The unique team ID.
                    data.name string * Team name.
                    data.avatar object (Avatar) * Team`s avatar.
                    data.avatar[default_url_pattern] string * Default pattern used if there is no custom one.
                    data.avatar[url_pattern] string * Url pattern for avatar gathering.
                    data.avatar[base_gravatar_url] string * Url to gravatar.
                    data.agents[] array of integer ids (Person) * Agents belong to department.
                    Status Code Description
                    201
                    • Returned in case of successful resource creation
                    400
                    • We will return this in case your request was malformed
                  • GET /api/v2/agent_teams/counts CRUD

                    • Count list

                      Applicable api modes

                      session token key oauth

                      Api tags for this endpoint

                      people.agent_teams.count
                      • Response
                      • Status Codes
                      Parameter Type Versions Description
                      data.count integer * Count itself.
                      data.id integer >=20170401 Entity identity.
                      data.value string >=20170401 Entity value.
                      data.type string * Count type.
                      data.title string * Count title.
                      data.grouped_by string * Grouping option.
                      data.nested[] array of objects (Count) * Nested counts.
                      data.nested[][count] integer * Count itself.
                      data.nested[][id] integer >=20170401 Entity identity.
                      data.nested[][value] string >=20170401 Entity value.
                      data.nested[][type] string * Count type.
                      data.nested[][title] string * Count title.
                      data.nested[][grouped_by] string * Grouping option.
                      data.nested[][nested][] array of objects (Count) * Nested counts.
                      Status Code Description
                      200
                      • Returned if successful request
                      400
                      • Returned if you filter set was malformed
                    • DELETE /api/v2/agent_teams/{id} CRUD

                      • Delete a resource

                        Applicable api modes

                        session token key oauth

                        Api tags for this endpoint

                        people.agent_teams.delete
                        • Requirements
                        • Status Codes
                        Name Requirement Type Description
                        id \d+ integer The id of the resource
                        Status Code Description
                        200
                        • Returned if everything is ok and there is no such resource anymore
                        404
                        • Well, looks like either resource already deleted either it doesn't exists at all
                      • GET /api/v2/agent_teams/{id} CRUD

                        • Get a resource

                          Applicable api modes

                          session token key oauth

                          Api tags for this endpoint

                          people.agent_teams.get
                          • Requirements
                          • Response
                          • Status Codes
                          Name Requirement Type Description
                          id \d+ integer The id of the resource
                          Parameter Type Versions Description
                          data.id integer * The unique team ID.
                          data.name string * Team name.
                          data.avatar object (Avatar) * Team`s avatar.
                          data.avatar[default_url_pattern] string * Default pattern used if there is no custom one.
                          data.avatar[url_pattern] string * Url pattern for avatar gathering.
                          data.avatar[base_gravatar_url] string * Url to gravatar.
                          data.agents[] array of integer ids (Person) * Agents belong to department.
                          Status Code Description
                          200
                          • We will return such status in case we found your entity
                          404
                          • Not Found error will returned in case we can't find entity with specified ID
                        • PUT /api/v2/agent_teams/{id} CRUD

                          • Update an existing resource

                            Applicable api modes

                            session token key oauth

                            Api tags for this endpoint

                            people.agent_teams.put
                            • Requirements
                            • Parameters
                            • Status Codes
                            Name Requirement Type Description
                            id \d+ integer The id of the resource
                            Parameter Type Required? Format Description
                            name string false
                            avatar string false
                            members[] array of choices false
                            Status Code Description
                            204
                            • Returned in case of successful resource modify
                            400
                            • We will return this in case your request was malformed
                          • GET /api/v2/agent_teams/{id}/agents

                            • Return agents from team given team

                              Documentation

                              Touching this endpoint will return a list of agents belongs to specified team.

                              Applicable api modes

                              session token key oauth

                              Api tags for this endpoint

                              people.agent_teams.get_agents
                              • Requirements
                              • Response
                              • Status Codes
                              Name Requirement Type Description
                              id \d+ integer the id of team
                              Parameter Type Versions Description
                              data[] array of objects (Person) *
                              data[][id] integer * The unique ID of person.
                              data[][primary_email] string representation (PersonEmail) * Emails belong to user.
                              data[][first_name] string * The users name (best guess from other sources etc).
                              data[][last_name] string * The users name (best guess from other sources etc).
                              data[][title_prefix] string * The users title.
                              data[][name] string * The users name (best guess from other sources etc).
                              data[][display_name] string * Person name.
                              data[][is_agent] boolean * True if person is agent.
                              data[][avatar] object (Avatar) * Person`s avatar.
                              data[][avatar][default_url_pattern] string * Default pattern used if there is no custom one.
                              data[][avatar][url_pattern] string * Url pattern for avatar gathering.
                              data[][avatar][base_gravatar_url] string * Url to gravatar.
                              data[][online] boolean * Is user online?
                              data[][online_for_chat] boolean * Is user online for chat?
                              data[][last_seen] DateTime * Date when user was last seen online.
                              data[][agent_data] object (AgentData) * Agent data.
                              data[][agent_data][extension_number] integer *
                              data[][agent_data][available_status] string *
                              data[][agent_data][agent_calls_enabled] boolean *
                              data[][agent_data][agent_chat_enabled] boolean *
                              data[][agent_data][agent_can_use_forwarding] boolean *
                              data[][agent_data][forwarding_number] string *
                              data[][agent_data][forwarding_ring_timeout] integer *
                              data[][agent_data][forwarding_number_type] string *
                              data[][agent_data][forwarding_logged_out] boolean *
                              data[][agent_data][work_status_enabled] boolean *
                              data[][agent_data][work_status_managed_after] DateTime *
                              data[][agent_data][login_status] string *
                              data[][was_agent] boolean * Was this person an agent?
                              data[][can_agent] boolean * Is person allowed to use agent interface.
                              data[][can_admin] boolean * Is person allowed to use admin interface.
                              data[][can_billing] boolean * Is person allowed to use billing interface.
                              data[][can_reports] boolean * Is person allowed to use reports interface.
                              data[][picture_blob] integer id (Blob) * The user`s profile picture.
                              data[][disable_picture] boolean * True if user`s picture disabled.
                              data[][gravatar_url] string * The URL to the users gravatar if any.
                              data[][is_contact] boolean * Is this person a contact?
                              data[][disable_autoresponses] boolean * Are autoresponses disabled?
                              data[][disable_autoresponses_log] string * Disabled autoresponses log.
                              data[][is_confirmed] boolean * Has person confirmed their email?
                              data[][is_deleted] boolean * Is the user deleted?
                              data[][is_disabled] boolean * Is the user disabled?
                              data[][creation_system] string * The way person was created.
                              data[][override_display_name] string * Overrides the display name of an person in the user interface (agents only).
                              data[][display_contact] string * Person name and email address.
                              data[][summary] string * The summary field as filled in by agents.
                              data[][language] integer id (Language) * Default person`s language.
                              data[][organization] integer id (Organization) * The person`s organization.
                              data[][organization_members][] array of integer ids (OrganizationMember) * Organizations the person is member of.
                              data[][organization_position] string * The persons position at the organization.
                              data[][organization_manager] boolean * True if the person is a manager of their organization.
                              data[][timezone] string * The timezone associated with this user.
                              data[][date_created] DateTime * The date the user was inserted into the system.
                              data[][date_last_login] DateTime * The date the user was logged in last time.
                              data[][browser] string * The browser person was used last time.
                              data[][all_user_groups][] array of integer ids (Usergroup) * Usergroups the user belongs to including through connections like org groups.
                              data[][user_groups][] array of integer ids (Usergroup) * Usergroups the user belongs to.
                              data[][agent_groups][] array of integer ids (Usergroup) * Usergroups the user belongs to.
                              data[][labels][] array of objects (label) * Labels associated with this user.
                              data[][emails][] array of string representations (PersonEmail) * Emails belong to user.
                              data[][phone_numbers][] array of objects (PersonPhoneNumber) * Phone numbers belong to user.
                              data[][phone_numbers][][number] string * The number, stored in E.164 string format, ie. +19021111111.
                              data[][phone_numbers][][label] string * A human-defined (optional) label to describe what this phone number is.
                              data[][phone_numbers][][extension] string * An extension for the number - optional.
                              data[][phone_numbers][][person] integer id (Person) *
                              data[][tickets_count] integer * Overall tickets count assigned to user.
                              data[][chats_count] integer * Overall count of chats user participating.
                              data[][fields][] dynamically declared custom fields (person) * Custom persons data.
                              data[][contextual_options] custom handler result for (contextual_options) * Contextual person options.
                              data[][contact_data] array * Contacts for this user.
                              data[][teams][] array of integer ids (AgentTeam) * Agent teams.
                              data[][primary_team] integer id (AgentTeam) * Primary agent team.
                              data[][brands][] array of integer ids (Brand) * Brands.
                              data[][preferences] array * Prefs.
                              Status Code Description
                              200
                              • Will return when success
                              404
                              • Returned when chat was not found
                              400
                              • In all other cases except system error
                            • GET /api/v2/agents CRUD

                              • get list of agents

                                Applicable api modes

                                session token key oauth

                                Api tags for this endpoint

                                people.agents.list
                                • Filters
                                • Response
                                • Status Codes
                                Name Information
                                page
                                Pattern \d
                                Description Which page to display
                                Datatype integer
                                count
                                Pattern \d
                                Description Resource per page count
                                Datatype integer
                                limit
                                Pattern \d
                                Description Max number of resources to return
                                Datatype integer
                                ids
                                Pattern [\d,]+
                                Description Comma separated list of IDs
                                Datatype string
                                is_deleted
                                Pattern (1|0|-1)
                                Description deleted filter, defaults to 0
                                Datatype integer
                                online
                                Pattern (1|0|-1)
                                Description is online filter, defaults to 0
                                Datatype integer
                                online_for_chat
                                Pattern (1|0|-1)
                                Description is online for chat filter, defaults to 0
                                Datatype integer
                                Parameter Type Versions Description
                                data[] array of objects (BasePerson) *
                                data[][id] integer * The unique ID of person.
                                data[][primary_email] string representation (PersonEmail) * Main user`s email.
                                data[][first_name] string * The users name (best guess from other sources etc).
                                data[][last_name] string * The users name (best guess from other sources etc).
                                data[][title_prefix] string * The users title.
                                data[][name] string * The users name (best guess from other sources etc).
                                data[][display_name] string * Person display name.
                                data[][is_agent] boolean * True if person is agent.
                                data[][avatar] object (Avatar) * Person`s avatar.
                                data[][avatar][default_url_pattern] string * Default pattern used if there is no custom one.
                                data[][avatar][url_pattern] string * Url pattern for avatar gathering.
                                data[][avatar][base_gravatar_url] string * Url to gravatar.
                                data[][online] boolean * Is user online?
                                data[][online_for_chat] boolean * Is user online for chat?
                                data[][last_seen] DateTime * Date when user was last seen online.
                                data[][agent_data] object (AgentData) * Agent data.
                                data[][agent_data][extension_number] integer *
                                data[][agent_data][available_status] string *
                                data[][agent_data][agent_calls_enabled] boolean *
                                data[][agent_data][agent_chat_enabled] boolean *
                                data[][agent_data][agent_can_use_forwarding] boolean *
                                data[][agent_data][forwarding_number] string *
                                data[][agent_data][forwarding_ring_timeout] integer *
                                data[][agent_data][forwarding_number_type] string *
                                data[][agent_data][forwarding_logged_out] boolean *
                                data[][agent_data][work_status_enabled] boolean *
                                data[][agent_data][work_status_managed_after] DateTime *
                                data[][agent_data][login_status] string *
                                Status Code Description
                                200
                                • Returned if your request was successful
                                400
                                • An error will occur if you provide wrong filters set
                              • GET DEPRECATED /api/v2/agents/assigned_to_chat

                                • get a list of agents, assigned to chats

                                  Applicable api modes

                                  session token key oauth

                                  Api tags for this endpoint

                                  people.agents.get_agents_on_chats
                                  • Response
                                  • Status Codes
                                  Parameter Type Versions Description
                                  data[] array of objects (Person) *
                                  Status Code Description
                                  200
                                  • Returned if everything is ok
                                • GET /api/v2/agents/counts CRUD

                                  • Count list

                                    Applicable api modes

                                    session token key oauth

                                    Api tags for this endpoint

                                    people.agents.count
                                    • Response
                                    • Status Codes
                                    Parameter Type Versions Description
                                    data.count integer * Count itself.
                                    data.id integer >=20170401 Entity identity.
                                    data.value string >=20170401 Entity value.
                                    data.type string * Count type.
                                    data.title string * Count title.
                                    data.grouped_by string * Grouping option.
                                    data.nested[] array of objects (Count) * Nested counts.
                                    data.nested[][count] integer * Count itself.
                                    data.nested[][id] integer >=20170401 Entity identity.
                                    data.nested[][value] string >=20170401 Entity value.
                                    data.nested[][type] string * Count type.
                                    data.nested[][title] string * Count title.
                                    data.nested[][grouped_by] string * Grouping option.
                                    data.nested[][nested][] array of objects (Count) * Nested counts.
                                    Status Code Description
                                    200
                                    • Returned if successful request
                                    400
                                    • Returned if you filter set was malformed
                                  • GET /api/v2/agents/extended

                                    • extended agents models

                                      Applicable api modes

                                      session token key oauth

                                      Api tags for this endpoint

                                      people.agents.list_extended
                                      • Response
                                      • Status Codes
                                      Parameter Type Versions Description
                                      data.id integer * The unique ID of person.
                                      data.primary_email string representation (PersonEmail) * Main user`s email.
                                      data.first_name string * The users name (best guess from other sources etc).
                                      data.last_name string * The users name (best guess from other sources etc).
                                      data.title_prefix string * The users title.
                                      data.name string * The users name (best guess from other sources etc).
                                      data.display_name string * Person display name.
                                      data.is_agent boolean * True if person is agent.
                                      data.avatar object (Avatar) * Person`s avatar.
                                      data.avatar[default_url_pattern] string * Default pattern used if there is no custom one.
                                      data.avatar[url_pattern] string * Url pattern for avatar gathering.
                                      data.avatar[base_gravatar_url] string * Url to gravatar.
                                      data.online boolean * Is user online?
                                      data.online_for_chat boolean * Is user online for chat?
                                      data.last_seen DateTime * Date when user was last seen online.
                                      data.agent_data object (AgentData) * Agent data.
                                      data.agent_data[extension_number] integer *
                                      data.agent_data[available_status] string *
                                      data.agent_data[agent_calls_enabled] boolean *
                                      data.agent_data[agent_chat_enabled] boolean *
                                      data.agent_data[agent_can_use_forwarding] boolean *
                                      data.agent_data[forwarding_number] string *
                                      data.agent_data[forwarding_ring_timeout] integer *
                                      data.agent_data[forwarding_number_type] string *
                                      data.agent_data[forwarding_logged_out] boolean *
                                      data.agent_data[work_status_enabled] boolean *
                                      data.agent_data[work_status_managed_after] DateTime *
                                      data.agent_data[login_status] string *
                                      data.agent_data[extensionNumber] *
                                      data.agent_data[voicemailAsset] *
                                      data.agent_data[availableStatus] *
                                      data.agent_data[forwardingNumber] *
                                      data.agent_data[loginStatus] *
                                      data.was_agent boolean * Was this person an agent?
                                      data.can_agent boolean * Is person allowed to use agent interface.
                                      data.can_admin boolean * Is person allowed to use admin interface.
                                      data.can_billing boolean * Is person allowed to use billing interface.
                                      data.can_reports boolean * Is person allowed to use reports interface.
                                      Status Code Description
                                      200
                                      • Returned if everything is ok
                                    • GET /api/v2/agents/online

                                      • get a list of online agents

                                        Applicable api modes

                                        session token key oauth

                                        Api tags for this endpoint

                                        people.agents.get_agents_online
                                        • Response
                                        • Status Codes
                                        Parameter Type Versions Description
                                        data[] array of integers *
                                        data[][integer] object (integer) *
                                        Status Code Description
                                        200
                                        • Returned if everything is ok
                                      • PUT /api/v2/agents/profile

                                        • edit agent profile

                                          Applicable api modes

                                          session token key oauth

                                          Api tags for this endpoint

                                          people.agents.edit_profile
                                          • Parameters
                                          • Status Codes
                                          Parameter Type Required? Format Description
                                          agent_data[available_status] choice false ["idle","offline"]
                                          agent_data[agent_calls_enabled] boolean false
                                          agent_data[agent_chat_enabled] boolean false
                                          agent_data[agent_can_use_forwarding] boolean false
                                          agent_data[voicemail_asset] string false
                                          agent_data[forwarding_number] string false
                                          agent_data[forwarding_ring_timeout] integer false
                                          agent_data[forwarding_logged_out] boolean false
                                          agent_data[login_status] choice false ["logged_in","unknown","logged_out"]
                                          Status Code Description
                                          204
                                          • No content
                                        • DELETE /api/v2/agents/{id} CRUD

                                          • Delete a resource

                                            Applicable api modes

                                            session token key oauth

                                            Api tags for this endpoint

                                            people.agents.delete
                                            • Requirements
                                            • Status Codes
                                            Name Requirement Type Description
                                            id \d+ integer The id of the resource
                                            Status Code Description
                                            200
                                            • Returned if everything is ok and there is no such resource anymore
                                            404
                                            • Well, looks like either resource already deleted either it doesn't exists at all
                                          • GET /api/v2/agents/{id} CRUD

                                            • Get a resource

                                              Applicable api modes

                                              session token key oauth

                                              Api tags for this endpoint

                                              people.agents.get
                                              • Requirements
                                              • Response
                                              • Status Codes
                                              Name Requirement Type Description
                                              id \d+ integer The id of the resource
                                              Parameter Type Versions Description
                                              data.id integer * The unique ID of person.
                                              data.primary_email string representation (PersonEmail) * Main user`s email.
                                              data.first_name string * The users name (best guess from other sources etc).
                                              data.last_name string * The users name (best guess from other sources etc).
                                              data.title_prefix string * The users title.
                                              data.name string * The users name (best guess from other sources etc).
                                              data.display_name string * Person display name.
                                              data.is_agent boolean * True if person is agent.
                                              data.avatar object (Avatar) * Person`s avatar.
                                              data.avatar[default_url_pattern] string * Default pattern used if there is no custom one.
                                              data.avatar[url_pattern] string * Url pattern for avatar gathering.
                                              data.avatar[base_gravatar_url] string * Url to gravatar.
                                              data.online boolean * Is user online?
                                              data.online_for_chat boolean * Is user online for chat?
                                              data.last_seen DateTime * Date when user was last seen online.
                                              data.agent_data object (AgentData) * Agent data.
                                              data.agent_data[extension_number] integer *
                                              data.agent_data[available_status] string *
                                              data.agent_data[agent_calls_enabled] boolean *
                                              data.agent_data[agent_chat_enabled] boolean *
                                              data.agent_data[agent_can_use_forwarding] boolean *
                                              data.agent_data[forwarding_number] string *
                                              data.agent_data[forwarding_ring_timeout] integer *
                                              data.agent_data[forwarding_number_type] string *
                                              data.agent_data[forwarding_logged_out] boolean *
                                              data.agent_data[work_status_enabled] boolean *
                                              data.agent_data[work_status_managed_after] DateTime *
                                              data.agent_data[login_status] string *
                                              data.agent_data[extensionNumber] *
                                              data.agent_data[voicemailAsset] *
                                              data.agent_data[availableStatus] *
                                              data.agent_data[forwardingNumber] *
                                              data.agent_data[loginStatus] *
                                              Status Code Description
                                              200
                                              • We will return such status in case we found your entity
                                              404
                                              • Not Found error will returned in case we can't find entity with specified ID
                                            • DELETE /api/v2/agents/{id}/agent_permissions

                                              • remove agents permission (converts agent to user, unassigns tickets)

                                                Applicable api modes

                                                session token key oauth

                                                Api tags for this endpoint

                                                people.agents.delete_permissions
                                                • Requirements
                                                • Status Codes
                                                Name Requirement Type Description
                                                id
                                                Status Code Description
                                                200
                                                • OK
                                              • POST DEPRECATED /api/v2/agents/{id}/reset-password

                                                • reset agent password

                                                  Applicable api modes

                                                  session token key oauth

                                                  Api tags for this endpoint

                                                  people.agents.reset_password
                                                  • Requirements
                                                  • Response
                                                  • Status Codes
                                                  Name Requirement Type Description
                                                  id
                                                  Parameter Type Versions Description
                                                  data[] array of objects (Person) *
                                                  Status Code Description
                                                  200
                                                  • Returned if everything is ok
                                                • POST /api/v2/agents/{id}/send-token

                                                  • sends the person a two factor verification token

                                                    Applicable api modes

                                                    session token key oauth

                                                    Api tags for this endpoint

                                                    people.agents.send_two_factor_passcode
                                                    • Requirements
                                                    • Parameters
                                                    • Status Codes
                                                    Name Requirement Type Description
                                                    id
                                                    Parameter Type Required? Format Description
                                                    string true code to send
                                                    Status Code Description
                                                    200
                                                    • OK
                                                  • POST DEPRECATED /api/v2/agents/{id}/set-password

                                                    • set agent password

                                                      Applicable api modes

                                                      session token key oauth

                                                      Api tags for this endpoint

                                                      people.agents.set_password
                                                      • Requirements
                                                      • Response
                                                      • Status Codes
                                                      Name Requirement Type Description
                                                      id
                                                      Parameter Type Versions Description
                                                      data[] array of objects (Person) *
                                                      Status Code Description
                                                      200
                                                      • Returned if everything is ok
                                              • Show/hide List Operations Expand Operations

                                                Anti-abuse settings

                                                    • GET /api/v2/settings/anti_abuse/captcha

                                                      • Get anti-abuse settings

                                                        Applicable api modes

                                                        session token key oauth

                                                        Api tags for this endpoint

                                                        settings.anti_abuse.captcha_anti_abuse_setup.get
                                                        • Response
                                                        • Status Codes
                                                        Parameter Type Versions Description
                                                        data.use_recaptcha2 integer * True if set to use Google`s recaptcha.
                                                        data.recaptcha2_site_key string * Recaptcha key.
                                                        data.recaptcha2_secret_key string * Recaptcha key.
                                                        data.recaptcha_version integer * Recaptcha version.
                                                        data.tickets string * Use it for tickets.
                                                        data.comments string * Use it for comments.
                                                        data.community string * Use it for community topics.
                                                        data.register string * Use it for registration.
                                                        data.sharing string * Use it for sharing.
                                                        Status Code Description
                                                        200
                                                        • Success
                                                      • PUT /api/v2/settings/anti_abuse/captcha

                                                        • Update anti-abuse settings

                                                          Applicable api modes

                                                          session token key oauth

                                                          Api tags for this endpoint

                                                          settings.anti_abuse.captcha_anti_abuse_setup.put
                                                          • Parameters
                                                          • Status Codes
                                                          Parameter Type Required? Format Description
                                                          use_recaptcha2 boolean false
                                                          recaptcha2_site_key string false
                                                          recaptcha2_secret_key string false
                                                          recaptcha_version choice false ["2","3"]
                                                          tickets choice false [false,"guests","everyone"]
                                                          comments choice false [false,"guests","everyone"]
                                                          community choice false [false,"guests","everyone"]
                                                          register choice false [false,"guests","everyone"]
                                                          sharing choice false [false,"guests","everyone"]
                                                          Status Code Description
                                                          204
                                                          • Success
                                                          400
                                                          • Bad request
                                                        • GET /api/v2/settings/anti_abuse/portal

                                                          • Get anti-abuse settings

                                                            Applicable api modes

                                                            session token key oauth

                                                            Api tags for this endpoint

                                                            settings.anti_abuse.portal_anti_abuse_setup.get
                                                            • Response
                                                            • Status Codes
                                                            Parameter Type Versions Description
                                                            data.accountRateLimit *
                                                            data.agentRateLimit *
                                                            data.userRateLimit *
                                                            data.guestRateLimit *
                                                            data.account_rate_limit object (PortalAccountRateLimit) * Account rate limit object.
                                                            data.account_rate_limit[registration_settings] object (RateLimitLockoutGroup) * Limits for registration.
                                                            data.account_rate_limit[registration_settings][limit] integer * The limit itself.
                                                            data.account_rate_limit[registration_settings][time] integer * Time period for limit.
                                                            data.account_rate_limit[registration_settings][enabled] boolean * True of enabled.
                                                            data.account_rate_limit[registration_settings][lockout_time] integer *
                                                            data.account_rate_limit[registration_settings][lockoutTime] *
                                                            data.account_rate_limit[reset_password_settings] object (RateLimitLockoutGroup) * Limits for password resetting.
                                                            data.account_rate_limit[registrationSettings] *
                                                            data.account_rate_limit[resetPasswordSettings] *
                                                            data.agent_rate_limit object (PortalAgentRateLimit) * Agent rate limit object.
                                                            data.agent_rate_limit[login_settings] object (RateLimitOptionsGroup) * Settings for login.
                                                            data.agent_rate_limit[login_settings][limit] integer * The limit itself.
                                                            data.agent_rate_limit[login_settings][time] integer * Time period for limit.
                                                            data.agent_rate_limit[login_settings][enabled] boolean * True of enabled.
                                                            data.agent_rate_limit[login_settings][response] string * How to respond when limit was hit.
                                                            data.agent_rate_limit[login_settings][lockout_time] integer *
                                                            data.agent_rate_limit[login_settings][lockoutTime] *
                                                            data.agent_rate_limit[loginSettings] *
                                                            data.user_rate_limit object (PortalUserRateLimit) * Rate limits for user.
                                                            data.user_rate_limit[login_settings] object (RateLimitOptionsGroup) * Settings for login.
                                                            data.user_rate_limit[login_settings][limit] integer * The limit itself.
                                                            data.user_rate_limit[login_settings][time] integer * Time period for limit.
                                                            data.user_rate_limit[login_settings][enabled] boolean * True of enabled.
                                                            data.user_rate_limit[login_settings][response] string * How to respond when limit was hit.
                                                            data.user_rate_limit[login_settings][lockout_time] integer *
                                                            data.user_rate_limit[login_settings][lockoutTime] *
                                                            data.user_rate_limit[submit_ticket] object (RateLimitOptionsGroup) * Limits for ticket submitting.
                                                            data.user_rate_limit[submit_community_topic] object (RateLimitOptionsGroup) * Limits for community topics submitting.
                                                            data.user_rate_limit[submit_comment] object (RateLimitOptionsGroup) * Limits for comments submitting.
                                                            data.user_rate_limit[upload_attachment] object (RateLimitOptionsGroup) * Limits for attachment submitting.
                                                            data.user_rate_limit[share_content] object (RateLimitOptionsGroup) * Limits for sharing content.
                                                            data.user_rate_limit[loginSettings] *
                                                            data.user_rate_limit[submitTicket] *
                                                            data.user_rate_limit[submitCommunityTopic] *
                                                            data.user_rate_limit[submitComment] *
                                                            data.user_rate_limit[uploadAttachment] *
                                                            data.user_rate_limit[shareContent] *
                                                            data.guest_rate_limit object (PortalUserRateLimit) * Rate limits for guests.
                                                            Status Code Description
                                                            200
                                                            • Success
                                                          • PUT /api/v2/settings/anti_abuse/portal

                                                            • Update anti-abuse settings

                                                              Applicable api modes

                                                              session token key oauth

                                                              Api tags for this endpoint

                                                              settings.anti_abuse.portal_anti_abuse_setup.put
                                                              • Parameters
                                                              • Status Codes
                                                              Parameter Type Required? Format Description
                                                              account_rate_limit[registration_settings][enabled] boolean false
                                                              account_rate_limit[registration_settings][limit] float false
                                                              account_rate_limit[registration_settings][time] float false
                                                              account_rate_limit[registration_settings][lockout_time] float false
                                                              account_rate_limit[reset_password_settings][enabled] boolean false
                                                              account_rate_limit[reset_password_settings][limit] float false
                                                              account_rate_limit[reset_password_settings][time] float false
                                                              account_rate_limit[reset_password_settings][lockout_time] float false
                                                              agent_rate_limit[login_settings][enabled] boolean false
                                                              agent_rate_limit[login_settings][limit] float false
                                                              agent_rate_limit[login_settings][time] float false
                                                              agent_rate_limit[login_settings][response] choice false ["captcha","lockout"]
                                                              agent_rate_limit[login_settings][lockout_time] float false
                                                              user_rate_limit[login_settings][enabled] boolean false
                                                              user_rate_limit[login_settings][limit] float false
                                                              user_rate_limit[login_settings][time] float false
                                                              user_rate_limit[login_settings][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[login_settings][lockout_time] float false
                                                              user_rate_limit[submit_ticket][enabled] boolean false
                                                              user_rate_limit[submit_ticket][limit] float false
                                                              user_rate_limit[submit_ticket][time] float false
                                                              user_rate_limit[submit_ticket][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[submit_ticket][lockout_time] float false
                                                              user_rate_limit[submit_community_topic][enabled] boolean false
                                                              user_rate_limit[submit_community_topic][limit] float false
                                                              user_rate_limit[submit_community_topic][time] float false
                                                              user_rate_limit[submit_community_topic][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[submit_community_topic][lockout_time] float false
                                                              user_rate_limit[submit_comment][enabled] boolean false
                                                              user_rate_limit[submit_comment][limit] float false
                                                              user_rate_limit[submit_comment][time] float false
                                                              user_rate_limit[submit_comment][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[submit_comment][lockout_time] float false
                                                              user_rate_limit[upload_attachment][enabled] boolean false
                                                              user_rate_limit[upload_attachment][limit] float false
                                                              user_rate_limit[upload_attachment][time] float false
                                                              user_rate_limit[upload_attachment][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[upload_attachment][lockout_time] float false
                                                              user_rate_limit[share_content][enabled] boolean false
                                                              user_rate_limit[share_content][limit] float false
                                                              user_rate_limit[share_content][time] float false
                                                              user_rate_limit[share_content][response] choice false ["captcha","lockout"]
                                                              user_rate_limit[share_content][lockout_time] float false
                                                              guest_rate_limit[login_settings][enabled] boolean false
                                                              guest_rate_limit[login_settings][limit] float false
                                                              guest_rate_limit[login_settings][time] float false
                                                              guest_rate_limit[login_settings][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[login_settings][lockout_time] float false
                                                              guest_rate_limit[submit_ticket][enabled] boolean false
                                                              guest_rate_limit[submit_ticket][limit] float false
                                                              guest_rate_limit[submit_ticket][time] float false
                                                              guest_rate_limit[submit_ticket][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[submit_ticket][lockout_time] float false
                                                              guest_rate_limit[submit_community_topic][enabled] boolean false
                                                              guest_rate_limit[submit_community_topic][limit] float false
                                                              guest_rate_limit[submit_community_topic][time] float false
                                                              guest_rate_limit[submit_community_topic][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[submit_community_topic][lockout_time] float false
                                                              guest_rate_limit[submit_comment][enabled] boolean false
                                                              guest_rate_limit[submit_comment][limit] float false
                                                              guest_rate_limit[submit_comment][time] float false
                                                              guest_rate_limit[submit_comment][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[submit_comment][lockout_time] float false
                                                              guest_rate_limit[upload_attachment][enabled] boolean false
                                                              guest_rate_limit[upload_attachment][limit] float false
                                                              guest_rate_limit[upload_attachment][time] float false
                                                              guest_rate_limit[upload_attachment][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[upload_attachment][lockout_time] float false
                                                              guest_rate_limit[share_content][enabled] boolean false
                                                              guest_rate_limit[share_content][limit] float false
                                                              guest_rate_limit[share_content][time] float false
                                                              guest_rate_limit[share_content][response] choice false ["captcha","lockout"]
                                                              guest_rate_limit[share_content][lockout_time] float false
                                                              Status Code Description
                                                              204
                                                              • Success
                                                              400
                                                              • Bad request
                                                      • Show/hide List Operations Expand Operations

                                                        Approvals

                                                            • GET /api/v2/approval_responses/{approvalId} CRUD

                                                              • Get collection of resources

                                                                Applicable api modes

                                                                session token key oauth

                                                                Api tags for this endpoint

                                                                approvals.approval_responses.list
                                                                • Requirements
                                                                • Filters
                                                                • Parameters
                                                                • Response
                                                                • Status Codes
                                                                Name Requirement Type Description
                                                                approvalId
                                                                Name Information
                                                                page
                                                                Pattern \d
                                                                Description Which page to display
                                                                Datatype integer
                                                                count
                                                                Pattern \d
                                                                Description Resource per page count
                                                                Datatype integer
                                                                limit
                                                                Pattern \d
                                                                Description Max number of resources to return
                                                                Datatype integer
                                                                ids
                                                                Pattern [\d,]+
                                                                Description Comma separated list of IDs
                                                                Datatype string
                                                                Parameter Type Required? Format Description
                                                                message string false
                                                                Parameter Type Versions Description
                                                                data[] array of objects (ApprovalResponse) *
                                                                data[][vote_type] string * Get pretty name for a vote
                                                                data[][id] integer *
                                                                data[][vote] integer *
                                                                data[][message] string *
                                                                data[][created_at] DateTime *
                                                                data[][approver] integer id (Person) *
                                                                data[][approval] integer id (AbstractBaseApproval) *
                                                                Status Code Description
                                                                200
                                                                • Returned if your request was successful
                                                                400
                                                                • An error will occur if you provide wrong filters set
                                                              • GET /api/v2/approval_responses/{approvalId}/counts CRUD

                                                                • Count list

                                                                  Applicable api modes

                                                                  session token key oauth

                                                                  Api tags for this endpoint

                                                                  approvals.approval_responses.count
                                                                  • Requirements
                                                                  • Parameters
                                                                  • Response
                                                                  • Status Codes
                                                                  Name Requirement Type Description
                                                                  approvalId
                                                                  Parameter Type Required? Format Description
                                                                  message string false
                                                                  Parameter Type Versions Description
                                                                  data.count integer * Count itself.
                                                                  data.id integer >=20170401 Entity identity.
                                                                  data.value string >=20170401 Entity value.
                                                                  data.type string * Count type.
                                                                  data.title string * Count title.
                                                                  data.grouped_by string * Grouping option.
                                                                  data.nested[] array of objects (Count) * Nested counts.
                                                                  data.nested[][count] integer * Count itself.
                                                                  data.nested[][id] integer >=20170401 Entity identity.
                                                                  data.nested[][value] string >=20170401 Entity value.
                                                                  data.nested[][type] string * Count type.
                                                                  data.nested[][title] string * Count title.
                                                                  data.nested[][grouped_by] string * Grouping option.
                                                                  data.nested[][nested][] array of objects (Count) * Nested counts.
                                                                  Status Code Description
                                                                  200
                                                                  • Returned if successful request
                                                                  400
                                                                  • Returned if you filter set was malformed
                                                                • GET /api/v2/approval_templates CRUD

                                                                  • Get collection of resources

                                                                    Applicable api modes

                                                                    session token key oauth

                                                                    Api tags for this endpoint

                                                                    approvals.approval_templates.list
                                                                    • Filters
                                                                    • Parameters
                                                                    • Response
                                                                    • Status Codes
                                                                    Name Information
                                                                    page
                                                                    Pattern \d
                                                                    Description Which page to display
                                                                    Datatype integer
                                                                    count
                                                                    Pattern \d
                                                                    Description Resource per page count
                                                                    Datatype integer
                                                                    limit
                                                                    Pattern \d
                                                                    Description Max number of resources to return
                                                                    Datatype integer
                                                                    ids
                                                                    Pattern [\d,]+
                                                                    Description Comma separated list of IDs
                                                                    Datatype string
                                                                    Parameter Type Required? Format Description
                                                                    type choice true
                                                                    name string true
                                                                    description string false
                                                                    required_approvals integer true
                                                                    required_rejections integer true
                                                                    can_approvers_view_subject boolean true
                                                                    can_choose_approvers boolean true
                                                                    actions_on_create string false
                                                                    actions_on_partial_approval_response string false
                                                                    actions_on_partial_rejection_response string false
                                                                    actions_on_cancel string false
                                                                    actions_on_approved string false
                                                                    actions_on_rejected string false
                                                                    Parameter Type Versions Description
                                                                    data[] array of objects (ApprovalTemplate) *
                                                                    data[][id] integer *
                                                                    data[][name] string *
                                                                    data[][description] string *
                                                                    data[][required_approvals] integer *
                                                                    data[][required_rejections] integer *
                                                                    data[][type] integer id (ApprovalType) *
                                                                    data[][can_approvers_view_subject] boolean *
                                                                    data[][actions_on_create] object (TriggerActions) *
                                                                    data[][actions_on_create][version] integer * Actions version.
                                                                    data[][actions_on_create][actions] array * Actions array representation.
                                                                    data[][actions_on_partial_approval_response] object (TriggerActions) *
                                                                    data[][actions_on_partial_rejection_response] object (TriggerActions) *
                                                                    data[][actions_on_cancel] object (TriggerActions) *
                                                                    data[][actions_on_approved] object (TriggerActions) *
                                                                    data[][actions_on_rejected] object (TriggerActions) *
                                                                    data[][created_at] DateTime *
                                                                    data[][can_choose_approvers] boolean *
                                                                    data[][selected_approvers] object (SelectedApprovers) *
                                                                    data[][approver_selection_criteria] object (ApproverSelectionCriteria) *
                                                                    data[][approver_selection_criteria][can_select_ticket_user] boolean *
                                                                    data[][approver_selection_criteria][can_select_organization_managers] boolean *
                                                                    data[][approver_selection_criteria][can_select_from_all_agents] boolean *
                                                                    data[][approver_selection_criteria][select_from_people][] array of integers *
                                                                    data[][approver_selection_criteria][min_number_of_approvers] integer *
                                                                    Status Code Description
                                                                    200
                                                                    • Returned if your request was successful
                                                                    400
                                                                    • An error will occur if you provide wrong filters set
                                                                  • POST /api/v2/approval_templates CRUD

                                                                    • Create a new resource

                                                                      Applicable api modes

                                                                      session token key oauth

                                                                      Api tags for this endpoint

                                                                      approvals.approval_templates.post
                                                                      • Parameters
                                                                      • Response
                                                                      • Status Codes
                                                                      Parameter Type Required? Format Description
                                                                      type choice true
                                                                      name string true
                                                                      description string false
                                                                      required_approvals integer true
                                                                      required_rejections integer true
                                                                      can_approvers_view_subject boolean true
                                                                      can_choose_approvers boolean true
                                                                      actions_on_create string false
                                                                      actions_on_partial_approval_response string false
                                                                      actions_on_partial_rejection_response string false
                                                                      actions_on_cancel string false
                                                                      actions_on_approved string false
                                                                      actions_on_rejected string false
                                                                      Parameter Type Versions Description
                                                                      data.id integer *
                                                                      data.name string *
                                                                      data.description string *
                                                                      data.required_approvals integer *
                                                                      data.required_rejections integer *
                                                                      data.type integer id (ApprovalType) *
                                                                      data.can_approvers_view_subject boolean *
                                                                      data.actions_on_create object (TriggerActions) *
                                                                      data.actions_on_create[version] integer * Actions version.
                                                                      data.actions_on_create[actions] array * Actions array representation.
                                                                      data.actions_on_partial_approval_response object (TriggerActions) *
                                                                      data.actions_on_partial_rejection_response object (TriggerActions) *
                                                                      data.actions_on_cancel object (TriggerActions) *
                                                                      data.actions_on_approved object (TriggerActions) *
                                                                      data.actions_on_rejected object (TriggerActions) *
                                                                      data.created_at DateTime *
                                                                      data.can_choose_approvers boolean *
                                                                      data.selected_approvers object (SelectedApprovers) *
                                                                      data.approver_selection_criteria object (ApproverSelectionCriteria) *
                                                                      data.approver_selection_criteria[can_select_ticket_user] boolean *
                                                                      data.approver_selection_criteria[can_select_organization_managers] boolean *
                                                                      data.approver_selection_criteria[can_select_from_all_agents] boolean *
                                                                      data.approver_selection_criteria[select_from_people][] array of integers *
                                                                      data.approver_selection_criteria[min_number_of_approvers] integer *
                                                                      Status Code Description
                                                                      201
                                                                      • Returned in case of successful resource creation
                                                                      400
                                                                      • We will return this in case your request was malformed
                                                                    • GET /api/v2/approval_templates/counts CRUD

                                                                      • Count list

                                                                        Applicable api modes

                                                                        session token key oauth

                                                                        Api tags for this endpoint

                                                                        approvals.approval_templates.count
                                                                        • Parameters
                                                                        • Response
                                                                        • Status Codes
                                                                        Parameter Type Required? Format Description
                                                                        type choice true
                                                                        name string true
                                                                        description string false
                                                                        required_approvals integer true
                                                                        required_rejections integer true
                                                                        can_approvers_view_subject boolean true
                                                                        can_choose_approvers boolean true
                                                                        actions_on_create string false
                                                                        actions_on_partial_approval_response string false
                                                                        actions_on_partial_rejection_response string false
                                                                        actions_on_cancel string false
                                                                        actions_on_approved string false
                                                                        actions_on_rejected string false
                                                                        Parameter Type Versions Description
                                                                        data.count integer * Count itself.
                                                                        data.id integer >=20170401 Entity identity.
                                                                        data.value string >=20170401 Entity value.
                                                                        data.type string * Count type.
                                                                        data.title string * Count title.
                                                                        data.grouped_by string * Grouping option.
                                                                        data.nested[] array of objects (Count) * Nested counts.
                                                                        data.nested[][count] integer * Count itself.
                                                                        data.nested[][id] integer >=20170401 Entity identity.
                                                                        data.nested[][value] string >=20170401 Entity value.
                                                                        data.nested[][type] string * Count type.
                                                                        data.nested[][title] string * Count title.
                                                                        data.nested[][grouped_by] string * Grouping option.
                                                                        data.nested[][nested][] array of objects (Count) * Nested counts.
                                                                        Status Code Description
                                                                        200
                                                                        • Returned if successful request
                                                                        400
                                                                        • Returned if you filter set was malformed
                                                                      • DELETE /api/v2/approval_templates/{id} CRUD

                                                                        • Delete a resource

                                                                          Applicable api modes

                                                                          session token key oauth

                                                                          Api tags for this endpoint

                                                                          approvals.approval_templates.delete
                                                                          • Requirements
                                                                          • Parameters
                                                                          • Status Codes
                                                                          Name Requirement Type Description
                                                                          id \d+ integer The id of the resource
                                                                          Parameter Type Required? Format Description
                                                                          type choice true
                                                                          name string true
                                                                          description string false
                                                                          required_approvals integer true
                                                                          required_rejections integer true
                                                                          can_approvers_view_subject boolean true
                                                                          can_choose_approvers boolean true
                                                                          actions_on_create string false
                                                                          actions_on_partial_approval_response string false
                                                                          actions_on_partial_rejection_response string false
                                                                          actions_on_cancel string false
                                                                          actions_on_approved string false
                                                                          actions_on_rejected string false
                                                                          Status Code Description
                                                                          200
                                                                          • Returned if everything is ok and there is no such resource anymore
                                                                          404
                                                                          • Well, looks like either resource already deleted either it doesn't exists at all
                                                                        • GET /api/v2/approval_templates/{id} CRUD

                                                                          • Get a resource

                                                                            Applicable api modes

                                                                            session token key oauth

                                                                            Api tags for this endpoint

                                                                            approvals.approval_templates.get
                                                                            • Requirements
                                                                            • Parameters
                                                                            • Response
                                                                            • Status Codes
                                                                            Name Requirement Type Description
                                                                            id \d+ integer The id of the resource
                                                                            Parameter Type Required? Format Description
[...]
